CUTLASS: cutlass::reference::host::detail::TensorContainsFunc< Element, Layout > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::TensorContainsFunc< Element, Layout > Struct Template Reference

< Layout function

`#include <tensor_compare.h>`

Collaboration diagram for cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >:
[legend]

## Public Member Functions
| TensorContainsFunc ()
| Ctor. More...
| TensorContainsFunc (TensorView< Element, Layout > const &view_, Element value_)
| Ctor. More...
void | operator() (Coord< Layout::kRank > const &coord)
| Visits a coordinate. More...
| operator bool () const
| Returns true if equal. More...

## Public Attributes
TensorView< Element, Layout > | view
Element | value
bool | contains
Coord< Layout::kRank > | location

## Constructor & Destructor Documentation

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::TensorContainsFunc | ( |  | ) |
| inline

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::TensorContainsFunc | ( | TensorView< Element, Layout > const & | view_,
|  | Element | value_
| ) |  |
| inline

## Member Function Documentation

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::operator bool | ( |  | ) | const
| inline

template<typename Element, typename Layout>

void cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::operator() | ( | Coord< Layout::kRank > const & | coord | ) |
| inline

## Member Data Documentation

template<typename Element, typename Layout>

bool cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::contains

template<typename Element, typename Layout>

Coord<Layout::kRank> cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::location

template<typename Element, typename Layout>

Element cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::value

template<typename Element, typename Layout>

TensorView<Element, Layout> cutlass::reference::host::detail::TensorContainsFunc< Element, Layout >::view

The documentation for this struct was generated from the following file:

- host/tensor_compare.h